
###################################################################################
#      print data in the .dat calculation file (instead of a classic .bas template)
proc Cmas2d::WriteCalculationFile { filename } {
    customlib::InitWriteFile $filename
    set elements_solids [list "Solids"]
	set elements_joints [list "Joints"]
	
	set formats_j [list {"%1d" "element" "id"} {"%13.5e" "property" "matidj"}]
    set number_of_conditions [customlib::GetNumberOfNodes $elements_joints]
    customlib::WriteString "Concentrate Weights:"
    customlib::WriteString $number_of_conditions
	customlib::WriteNodes $elements_joints $formats_j "" active
	
    customlib::WriteString "(1) nod,nodb,nodj,nels,nelsj,nn,nip,nipb,np_types,np_typesj"
	
	customlib::WriteString " 8 4 8 [GiD_Info Mesh NumElements Hexahedra] [GiD_Info Mesh NumElements Quadrilateral] [GiD_Info Mesh NumNodes] 8 4 1"
	
    #################### COORDINATES ############################ 
    set units_mesh [gid_groups_conds::give_mesh_unit]
    customlib::WriteString ""
    customlib::WriteString "Coordinates:"
    customlib::WriteString "  Node        X $units_mesh               Y $units_mesh"
    # Write all nodes of the model, and it's coordinates
    # Check documentation to write nodes from an specific condition
    
    # 2D case
    #customlib::WriteCoordinates "%5d %14.5e %14.5e%.0s\n"
    # Example for 3D case
    customlib::WriteCoordinates "%5d %14.5e %14.5e %14.5e\n"
    #################### CONNECTIVITIES ############################    
    customlib::WriteString ""
    customlib::WriteString "................................................................."
    customlib::WriteString ""
    customlib::WriteString "Connectivities:"
    customlib::WriteString "    Element    Node(1)   Node(2)   Node(3)    Node(4)   Node(5)   Node(6)    Node(7)   Node(8)   Material"
    set element_formats [list {"%10d" "element" "id"} {"%10d" "element" "connectivities"} {"%10d" "property" "matid"}]
    customlib::WriteConnectivities $elements_solids $element_formats	
    
	customlib::WriteString ""
	customlib::WriteString "Joint Elements"
	GiD_WriteCalculationFile puts "hello world"
	
    set joint_formats [list {"%10d" "element" "id"} {"%10d" "element" "connectivities"} {"%13.5e" "property" "matidj"}]
	#customlib::WriteString $number_of_elements
	customlib::WriteConnectivities $elements_joints $joint_formats
	
	#################### MATERIALS ############################
    #set num_materials [customlib::GetNumberOfMaterials used]
    customlib::WriteString ""
    customlib::WriteString "................................................................."
    customlib::WriteString ""
    customlib::WriteString "Materials:"
    #customlib::WriteString $num_materials
    customlib::WriteString "Material      Surface density [gid_groups_conds::give_active_unit M/L^2]"
    #customlib::WriteMaterials [list {"%4d" "material" "MID"} {"%13.5e" "material" "Density"}] used active
    #################### CONCENTRATE WEIGHTS ############################
    customlib::WriteString ""
    customlib::WriteString "................................................................."
    customlib::WriteString ""
    set list1 [list "Disp_Bc"]
    set condition_formats [list {"%1d" "node" "id"} {"%1d" "property" "Iffix_x"} {"%1d" "property" "Iffix_y"} {"%1d" "property" "Iffix_z"}]
    set number_of_conditions [customlib::GetNumberOfNodes $list1]
    customlib::WriteString "Displacement Boundary Conditions"
	customlib::WriteString "nffix/Iffix   ifix_x  ifix_y ifix_z"
    customlib::WriteString $number_of_conditions
    customlib::WriteNodes $list1 $condition_formats "" active
	
	customlib::WriteString "Traction Boundary Conditions"
	customlib::WriteString "nsurface/ie  Tn "
	#set list2 [list "Trac_Bc"]
	#set condition_formats [list {"%10d" "element" "id"} {"%10d" "element" "connectivities"} {"%13.5e" "property" "Tn"}]
	#set formats [customlib::GetElementsFormats $list2 $condition_formats]
	#set number_of_loaded_elements [GiD_WriteCalculationFile elements -count $formats]
    #customlib::WriteConnectivities $list2 $formats "" active
	
	
    customlib::EndWriteFile ;#finish writting
}
